// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnServerDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnServerDocumentScanner", targets: ["WebIdOnServerDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-document-scanner-spm.git",
            .exact("20.0.0")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .exact("20.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdOnServerDocumentScanner/20.0.0/WebIdOnServerDocumentScanner.framework-v20.0.0.zip",
            checksum: "465ab63c906fc3dacb0b1abf7cae894a358e5d8e7b64b3c61fdad33692fdae33"
        ),
        .target(
            name: "WebIdOnServerDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnServerDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
